# Create

Launch stage: Public Preview

`POST /api/2.1/marketplace-consumer/listings/{listing_id}/installations`

Install payload associated with a Databricks Marketplace listing.

API scopes: marketplace

## Path parameters

- `listing_id` (string, optional)

## Request body

- `share_name` (string, optional)
- `catalog_name` (string, optional)
- `repo_detail` (object, optional)
  for git repo installations
  - `repo_name` (string, optional)
    the user-specified repo name for their installed git repo listing
  - `repo_path` (string, optional)
    refers to the full url file path that navigates the user to the repo's entrypoint (e.g. a README.md file, or the repo file view in the unified UI)
     should just be a relative path
- `recipient_type` (string, optional)
  Possible values: `DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS`, `DELTA_SHARING_RECIPIENT_TYPE_OPEN`
- `accepted_consumer_terms` (object, optional)
  - `version` (string, optional)

## Returns

- `installation` (object, optional)
  - `id` (string, optional)
  - `listing_id` (string, optional)
  - `share_name` (string, optional)
  - `catalog_name` (string, optional)
  - `installed_on` (int64, optional)
  - `status` (string, optional)
    Possible values: `INSTALLED`, `FAILED`
  - `error_message` (string, optional)
  - `listing_name` (string, optional)
  - `repo_name` (string, optional)
  - `repo_path` (string, optional)
  - `recipient_type` (string, optional)
    Possible values: `DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS`, `DELTA_SHARING_RECIPIENT_TYPE_OPEN`
  - `tokens` (array of object, optional)
    - `id` (string, optional)
      Unique id of the Recipient Token.
    - `created_at` (int64, optional)
      Time at which this Recipient Token was created, in epoch milliseconds.
    - `created_by` (string, optional)
      Username of Recipient Token creator.
    - `activation_url` (string, optional)
      Full activation url to retrieve the access token.
       It will be empty if the token is already retrieved.
    - `expiration_time` (int64, optional)
      Expiration timestamp of the token in epoch milliseconds.
    - `updated_at` (int64, optional)
      Time at which this Recipient Token was updated, in epoch milliseconds.
    - `updated_by` (string, optional)
      Username of Recipient Token updater.
  - `token_detail` (object, optional)
    - `shareCredentialsVersion` (int32, optional)
      These field names must follow the delta sharing protocol.
       Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto
    - `bearerToken` (string, optional)
    - `endpoint` (string, optional)
    - `expirationTime` (string, optional)

## Response

```json
{
  "installation": {
    "id": "string",
    "listing_id": "string",
    "share_name": "string",
    "catalog_name": "string",
    "installed_on": 0,
    "status": "string",
    "error_message": "string",
    "listing_name": "string",
    "repo_name": "string",
    "repo_path": "string",
    "recipient_type": "string",
    "tokens": [
      {}
    ],
    "token_detail": {}
  }
}
```

